import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
import viewModal from './components/modal/modal'
import bankList from './components/bankList/bankList'
import request from './utils/request.js'

Vue.component('view-modal', viewModal);
Vue.component('bank-list', bankList);
Vue.prototype.$request = request

const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif